cdromupgrade from Oneiric to Precise no network failed: The package 'unity-2d-places' is marked for removal but it's in the removal blacklist

Bug #940196 reported by Jean-Baptiste Lallement on 2012-02-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Brian Murray
Precise
High
Brian Murray

Bug Description

cdromupgrade from oneiric to precise amd64 failed no network

2012-02-24 11:45:05,245 DEBUG blacklist expr 'unity-2d' matches 'unity-2d-places'
2012-02-24 11:45:05,245 DEBUG The package 'unity-2d-places' is marked for removal but it's in the removal blacklist
2012-02-24 11:45:15,114 ERROR Dist-upgrade failed: 'The package 'unity-2d-places' is marked for removal but it is in the removal blacklist.'

I selected to _not_ install from the network

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: update-manager 1:0.152.25.8
ProcVersionSignature: Ubuntu 3.0.0-16.28-generic 3.0.17
Uname: Linux 3.0.0-16-generic x86_64
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
Date: Fri Feb 24 11:49:33 2012
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: update-manager
UpgradeStatus: Upgraded to oneiric on 2012-02-24 (0 days ago)

Jean-Baptiste Lallement (jibel) wrote :
summary: - cdromupgrade from Oneiric to Precise failed: The package 'unity-2d-
- places' is marked for removal but it's in the removal blacklist
+ cdromupgrade from Oneiric to Precise no network failed: The package
+ 'unity-2d-places' is marked for removal but it's in the removal
+ blacklist
description: updated
tags: added: blacklist
tags: added: cdrom-upgrade
removed: blacklist
tags: added: blacklist
Changed in update-manager (Ubuntu):
importance: Undecided → High
Changed in update-manager (Ubuntu):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
RedSingularity (redsingularity) wrote :

Wouldn't running an 'apt-get install <package>' take it off the blacklist?
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Jean-Baptiste Lallement (jibel) wrote :

Hi Tim, this is a networkless cdrom upgrade. It's possible that the error was transient. I'll try it again today.

Changed in update-manager (Ubuntu Precise):
status: New → Triaged
tags: added: rls-mgr-p-tracking
Steve Langasek (vorlon) wrote :

unity-2d-places has been dropped as a dependency of unity-2d in the latest upload, and as a result is no longer on the CD. Looks like update-manager uses regular expressions for its blacklist, so the "unity-2d" package name needs to be anchored so it only matches the toplevel package... not whatever sub-packages happen to be installed before upgrade. Barry, could you take a look at this?

Jean-Baptiste Lallement (jibel) wrote :

Confirmed with Precise Alternate 20120227.2 amd64

Steve Langasek (vorlon) on 2012-02-28
Changed in update-manager (Ubuntu Precise):
assignee: Canonical Foundations Team (canonical-foundations) → Barry Warsaw (barry)
milestone: none → ubuntu-12.04
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/940196

tags: added: iso-testing
Brian Murray (brian-murray) wrote :

This is fixed in trunk.

Changed in update-manager (Ubuntu Precise):
assignee: Barry Warsaw (barry) → Brian Murray (brian-murray)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.156.7

---------------
update-manager (1:0.156.7) precise; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeCache.py:
    - fix nvidia detection, thanks to Brian Murray
  * DistUpgrade/xorg_fix_proprietary.py:
    - fix crash when apt_pkg is not initialized (LP: #942106)
  * DistUpgrade/DistUpgradeController.py, DistUpgrade/mirrors.cfg:
    - support upgrades with commercial-ppas in the sources.list
      (LP: #939461) and add tests
  * UpdateManager/UpdateManager.py:
    - fix inaccurate string, thanks to JohnNapster (LP: #942590)

  [ Brian Murray ]
  * DistUpgrade/removal_blacklist.cfg:
    - Only blacklist unity-2d, not all packages whose names start with
      unity-2d. (LP: #940196)
 -- Michael Vogt <email address hidden> Mon, 05 Mar 2012 09:02:14 +0100

Changed in update-manager (Ubuntu Precise):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers